Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_RTCP_Callback Class Reference

TAO_AV_Callback for RTCP protocol. More...

`#include <RTCP.h>`

Inheritance diagram for TAO_AV_RTCP_Callback:

[legend]
Collaboration diagram for TAO_AV_RTCP_Callback:

[legend]
List of all members.

## Public Methods
| TAO_AV_RTCP_Callback (void)
| RTCP callback. More...
virtual | ~TAO_AV_RTCP_Callback (void)
| virtual destructor. More...
virtual int | handle_start (void)
| Called during Streamctrl->start. More...
virtual int | handle_stop (void)
| Called during Streamctrl->stop. More...
virtual int | handle_timeout (void *arg)
| Called during timeout for Flow Producers. More...
virtual int | receive_frame (ACE_Message_Block *frame, TAO_AV_frame_info *frame_info=0, const ACE_Addr &peer_address=ACE_Addr::sap_any)
| Called when a frame arrives for a FlowConsumer. More...
int | send_frame (ACE_Message_Block *frame)
virtual int | receive_control_frame (ACE_Message_Block *frame, const ACE_Addr &peer_address=ACE_Addr::sap_any)
| address from which the frame was received. More...
virtual int | handle_destroy (void)
| Called during Streamctrl->destroy i.e tear_down of the stream coryan:Call it handle_destroy or handle_close. More...
virtual void | get_timeout (ACE_Time_Value *&tv, void *&arg)
| Called to get the timeout. If tv is 0 then the framework stop calling this. More...
int | send_report (int bye)
void | schedule (int ms)
TAO_AV_RTP_State * | state (void)
void | ts_offset (ACE_UINT32 offset)
## Protected Attributes
ACE_Hash_Map_Manager< ACE_UINT32, RTCP_Channel_In *, ACE_Null_Mutex > | inputs_
RTCP_Channel_Out | output_
int | timeout_
int | timestamp_offset_
int | sdes_count_
int | is_initial_timeout_
int | avg_rtcp_size_
int | packet_size_

## Detailed Description

TAO_AV_Callback for RTCP protocol.

## Constructor & Destructor Documentation

TAO_AV_RTCP_Callback::TAO_AV_RTCP_Callback | ( | void |  | ) |

| RTCP callback.

TAO_AV_RTCP_Callback::~TAO_AV_RTCP_Callback | ( | void |  | ) | `[virtual]`

| virtual destructor.

## Member Function Documentation

void TAO_AV_RTCP_Callback::get_timeout | ( | ACE_Time_Value *& | tv,
|  | void *& | arg
| ) | `[virtual]`

| Called to get the timeout. If tv is 0 then the framework stop calling this. Reimplemented from TAO_AV_Callback.

int TAO_AV_RTCP_Callback::handle_destroy | ( | void |  | ) | `[virtual]`

| Called during Streamctrl->destroy i.e tear_down of the stream coryan:Call it handle_destroy or handle_close. @ Reimplemented from TAO_AV_Callback.

int TAO_AV_RTCP_Callback::handle_start | ( | void |  | ) | `[virtual]`

| Called during Streamctrl->start. Reimplemented from TAO_AV_Callback.

int TAO_AV_RTCP_Callback::handle_stop | ( | void |  | ) | `[virtual]`

| Called during Streamctrl->stop. Reimplemented from TAO_AV_Callback.

int TAO_AV_RTCP_Callback::handle_timeout | ( | void * | arg | ) | `[virtual]`

| Called during timeout for Flow Producers. Reimplemented from TAO_AV_Callback.

int TAO_AV_RTCP_Callback::receive_control_frame | ( | ACE_Message_Block * | data,
|  | const ACE_Addr & | peer_address = ACE_Addr::sap_any
| ) | `[virtual]`

| address from which the frame was received. Reimplemented from TAO_AV_Callback.

int TAO_AV_RTCP_Callback::receive_frame | ( | ACE_Message_Block * | frame,
|  | TAO_AV_frame_info * | frame_info = 0,
|  | const ACE_Addr & | peer_address = ACE_Addr::sap_any
| ) | `[virtual]`

| Called when a frame arrives for a FlowConsumer. Reimplemented from TAO_AV_Callback.

void TAO_AV_RTCP_Callback::schedule | ( | int | ms | ) |

int TAO_AV_RTCP_Callback::send_frame | ( | ACE_Message_Block * | frame | ) |

int TAO_AV_RTCP_Callback::send_report | ( | int | bye | ) |

TAO_AV_RTP_State* TAO_AV_RTCP_Callback::state | ( | void |  | ) |

void TAO_AV_RTCP_Callback::ts_offset | ( | ACE_UINT32 | offset | ) |

## Member Data Documentation

int TAO_AV_RTCP_Callback::avg_rtcp_size_`[protected]`

ACE_Hash_Map_Manager<ACE_UINT32, RTCP_Channel_In*, ACE_Null_Mutex> TAO_AV_RTCP_Callback::inputs_`[protected]`

int TAO_AV_RTCP_Callback::is_initial_timeout_`[protected]`

RTCP_Channel_Out TAO_AV_RTCP_Callback::output_`[protected]`

int TAO_AV_RTCP_Callback::packet_size_`[protected]`

int TAO_AV_RTCP_Callback::sdes_count_`[protected]`

int TAO_AV_RTCP_Callback::timeout_`[protected]`

int TAO_AV_RTCP_Callback::timestamp_offset_`[protected]`

The documentation for this class was generated from the following files:

- RTCP.h
- RTCP.cpp